=== app_templates/CMakeLists.txt ===
kdevplatform_add_app_templates(
    cpp/CMake/cmake_plaincpp
    cpp/CMake/cmake_qt5guiapp
    cpp/CMake/cmake_kdevplugin
    cpp/CMake/cmake_qt5-qml2
    cpp/QMake/qmake_qt5guiapp
    cpp/QMake/qt5-qml2
    empty
)
