=== debian/changelog ===
kdevelop (4:5.2.1-1ubuntu4) bionic; urgency=medium

  * kdevelop-data also requires breaks/replaces on kdevplatform8-libs
    for xenial upgrades

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 16 Apr 2018 20:37:22 +0100

kdevelop (4:5.2.1-1ubuntu3) bionic; urgency=medium

  * kdevelop breaks/replaces kdevplatform8-libs for xenial upgrades

 -- Philip Muškovac <yofel@kubuntu.org>  Mon, 12 Feb 2018 11:51:35 +0100

kdevelop (4:5.2.1-1ubuntu2) bionic; urgency=medium

  * Temporarily skip running hanging testsuite

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 03 Feb 2018 10:23:48 +0000

kdevelop (4:5.2.1-1ubuntu1) bionic; urgency=medium

  * Sync with debian changes. Remaining changes:
    - Keep autotests
    - New optional build dep on libkf5purpose-dev
    - Additional runtime deps; plasma-framework and qml modules

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 01 Dec 2017 08:16:23 +0000

kdevelop (4:5.2.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Pino Toscano <pino@debian.org>  Tue, 28 Nov 2017 07:18:27 +0100

kdevelop (4:5.2.0-3ubuntu1) bionic; urgency=medium

  * Sync with debian changes. Remaining changes:
    - Keep autotests
    - New optional build dep on libkf5purpose-dev
    - Additional runtime deps; plasma-framework and qml modules

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 23 Nov 2017 13:01:09 +0000

kdevelop (4:5.2.0-3) unstable; urgency=medium

  * Team upload.
  * Switch back to the unversioned clang-dev, and llvm-dev: since all the llvm
    versions have versioned symbols, we do not need to use the same version
    used by mesa anymore (see #846410); hence, using whatever is the default
    llvm version should be fine (Closes: #873411)
  * Make kdevelop buildable also without Clang, on the architectures where
    it is not available:
    - do not consider Clang a mandatory requirement; patch optional-clang.diff
    - add the dh-exec build dependency
    - ensure /usr/share/kdevclangsupport/ always exists, so there is no need
      to change kdevelop-data.install (even if its actual packaged content
      will change)
    - exclude libKDevClangPrivate.so, and kdevclangsupport.so on architectures
      without Clang
    - exclude the libclang-dev, and llvm-dev build dependency on architectures
      without Clang
    - the architectures without Clang are:
      alpha hppa hurd-any kfreebsd-any m68k powerpcspe sh4 x32
  * Suggest heaptrack on Linux.
  * Update lintian overrides.

 -- Pino Toscano <pino@debian.org>  Wed, 22 Nov 2017 19:38:42 +0100

kdevelop (4:5.2.0-2ubuntu1) bionic; urgency=medium

  * Sync with debian changes. Remaining changes:
    - Keep autotests
    - Revert the versioned clang dep - We don't have the mesa/llvm-default
      mismatch in ubuntu that caused debian bug #846410, so this only
      causes potential problems for us (LP: #1677140)
    - Also add heaptrack to suggests
    - New optional build dep on libkf5purpose-dev

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 18 Nov 2017 14:34:15 +0000

kdevelop (4:5.2.0-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

  [ Maximiliano Curia ]
  * Update uploaders list as requested by MIA team (Closes: #879333)

  [ Pino Toscano ]
  * Bump Standards-Version to 4.1.1, no changes required.

 -- Pino Toscano <pino@debian.org>  Fri, 17 Nov 2017 14:14:27 +0100

kdevelop (4:5.2.0-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
  * Following the kdevplatform merge, merge the packaging bits from the
    kdevplatform source:
    - add a new kdevelop52-libs package, with only public shared libraries
    - add kdevplatform-dev as transitional package for kdevelop-dev
    - add kdevplatform-l10n as transitional package for kdevelop-l10n
    - add breaks/replaces against the old kdevplatform packages
  * Update install files.
  * Merge the build dependencies from kdevplatform: add
    libboost-serialization-dev, libgrantlee5-dev, libkf5archive-dev,
    libkf5guiaddons-dev, libkf5notifications-dev, libkf5sonnet-dev,
    libkf5widgetsaddons-dev, libkomparediff2-dev, and libsvn-dev.
  * Remove the kdevplatform-dev build dependency.
  * Add to kdevelop more suggests from kdevplatformN-libs: cvs, git, and
    konsole.
  * Update lintian overrides.
  * Bring from kdevplatform the handling of dh_makeshlibs with -V, to generate
    a shlibs dependency for the current version.
  * Simplify the watch file, switching it to https.
  * Merge the kdevelop-dev dependencies from kdevplatform-dev.
  * Drop all the pre-Jessie replaces/breaks.
  * Switch Homepage to https.

 -- Pino Toscano <pino@debian.org>  Thu, 16 Nov 2017 20:50:56 +0100
